Forum Discussion

Alexander24's avatar
Alexander24
Icon for Helper II rankHelper II
8 years ago

Query Parameters API

Hi

 

I am using the new query parameters API https://msdn.microsoft.com/en-us/library/mt845781.aspx


I am able to call parameters fine, however when trying to set them i get an error message.  After parsing the error I get this

VERBOSE: POST https://api.powerbi.com/v1.0/myorg/groups/e7229a42-46ef-4d80-b8ca-e42909509dbb/datasets/5ef116d7-9179-40a2-8a30-a657265dfe4a/UpdateParameters with -1-byte payload


error : @{code=InvalidRequest; message=Dataset Parameters list is invalid in 5ef116d7-9179-40a2-8a30-a657265dfe4a. Reason: Empty;
target=5ef116d7-9179-40a2-8a30-a657265dfe4a}

 

I dont understand because the parameters list is not empty? I have created a physical table with the parameters and tried and then also created a list of values in the manage parameters settings and it still gives the same error.

 

Thanks,
Alexander

2 Replies

    • Deepthi285's avatar
      Deepthi285
      Regular Visitor

      Hello team,

       

      am new to power bi when i try to update parameter by using c# (Embeded)
      UpdateDatasetParametersRequest updaetparamObj = new UpdateDatasetParametersRequest();

      var jsonobj = "{\"updateDetails\": [{ \"name\": \"loggedTenantid\", \"newValue\": \"9\"}]}";
      JavaScriptSerializer jsonSerializer = new JavaScriptSerializer();
      updaetparamObj = jsonSerializer.Deserialize<UpdateDatasetParametersRequest>(jsonobj);

       var updateParam = await client.Datasets.UpdateParametersInGroupAsync(WorkspaceId, report.DatasetId, updaetparamObj);

      am facing below problem please do need full
      Status: BadRequest (400) Response: {"error":{"code":"InvalidRequest","message":"Dataset parameter at position 1 is invalid in abcdefghigj. Reason: ActionNotSupported","target":"
      abcdefghigj
      "}} RequestId:
      abcdefghigj